Package Details: pycharm-eap 2021.3.1.213.6461.77-1

Git Clone URL: https://aur.archlinux.org/pycharm-eap.git (read-only, click to copy)
Package Base: pycharm-eap
Description: Powerful Python and Django IDE, Early Access Program (EAP) build. Professional edition.
Upstream URL: https://www.jetbrains.com/pycharm/nextversion/
Keywords: development editor ide jetbrains python
Licenses: custom
Provides: pycharm, pycharm-professional
Submitter: vlan
Maintainer: qft
Last Packager: qft
Votes: 30
Popularity: 0.022516
First Submitted: 2011-05-06 08:33
Last Updated: 2022-01-06 16:52

Dependencies (18)

Required by (0)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

intgr commented on 2015-11-19 09:53

Please change the "url" to https://confluence.jetbrains.com/display/PYH/JetBrains+PyCharm+Preview+%28EAP%29 , so it's easier to check what's the most recent EAP release.

EisenSheng commented on 2015-11-14 16:08

The pycharm-eap.desktop file is broken. It points to

/opt/pycharm-pro-eap/bin/pycharm.sh

but the package is installed under

/opt/pycharm-eap/bin/pycharm.sh

intgr commented on 2015-11-12 10:43

Download fails... It's trying to download pycharm-professional-5.1.tar.gz, because "pycharm-professional-${_pkgver/.0}.tar.gz" in sources=() replaces 5.0.1 to 5.1.

-> Downloading pycharm-professional-5.1.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 154 100 154 0 0 1502 0 --:--:-- --:--:-- --:--:-- 1509
curl: (22) The requested URL returned error: 403 Forbidden

EisenSheng commented on 2015-11-03 23:22

Would be nice if you could change the source url to be https instead of http.

lots0logs commented on 2015-11-03 11:16

The PKGBUILD has been updated with the correct source URL's. Note, if you changed the _pkgver variable to 5.0 as a quick fix, you won't get notified for updates anymore. I recommend reinstalling with the updated PKGBUILD (which pacman will think is a downgrade, btw).

intgr commented on 2015-11-03 08:47

The solution is simple enough, just change the _pkgver line to: _pkgver=5.0

gabor_bernat commented on 2015-11-03 08:05

==> Making package: pycharm-eap 5.0.0.143.589-2 (Tue Nov 3 09:04:32 CET 2015)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Downloading pycharm-professional-5.0.0.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 154 100 154 0 0 696 0 --:--:-- --:--:-- --:--:-- 696
curl: (22) The requested URL returned error: 403 Forbidden

intgr commented on 2015-10-09 15:00

Update needed: build 143.165, October 9, 2015

EDIT: Sorry, I keep forgetting that I can just click "Flag package out-of-date" :(

gabor_bernat commented on 2015-09-20 06:57

works great now! thanks!

lots0logs commented on 2015-09-20 00:34

@gabor_bernat Fixed. Thanks!